
GammaLib - Bug #971

"make test" fails 

11/06/2013 05:18 PM - Schulz Anneli

Status: Closed Start date: 11/06/2013

Priority: Normal Due date:  

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I just updated gamma lib and am now on the up to date version on the devel branch.

I ran the usual make check. This fails with:

****************************

* Python interface testing *

****************************

Test GLog: .................... ok

Test GPars: .. ok

Test GFits: .............. ok

Test GMatrix: ................ ok

Test GMatrixSparse: ................ ok

Test GMatrixSymmetric: .......... ok

Model module dummy test: . ok

Numerics module dummy test: . ok

Observation module dummy test: . ok

Optimizer module dummy test: . ok

Test HEALPix map: ................................................................................................. ok

Test CAR projection map: ................................................... ok

Test TAN projection map: ................................................... ok

Test STG projection map: ................................................... ok

Test AZP projection map: ................................................... ok

Test FK5 to Galactic coordinate conversion: .. ok

Test GNodeArray: ..................... ok

Test GUrlFile: ... ok

Test GUrlString: ... ok

Test module dummy test: . ok

XML module dummy test: . ok

Test GPha: ... ok

Test GArf: ... ok

Test GRmf: ..... ok

MWL dummy test: . ok

Test CTA effective area classes: ................ ok

Test CTA PSF classes: ...................... ok

Test CTA ON/OFF analysis: .... ok

LAT dummy test: . ok

PASS: test_python.py

==============================================

4 of 20 tests failed

Please report to jurgen.knodlseder@irap.omp.eu

==============================================

make[2]: *** [check-TESTS] Error 1

make[2]: Leaving directory `/afs/ifh.de/group/hess/scratch/user/aschulz/software/gammalib-devel/gammalib/test'

make[1]: *** [check-am] Error 2

make[1]: Leaving directory `/afs/ifh.de/group/hess/scratch/user/aschulz/software/gammalib-devel/gammalib/test'

make: *** [check-recursive] Error 1

 

The first error is at:
******************************************************

* Multi-wavelength instrument specific class testing *

******************************************************

Test observation handling: ..... ok

/bin/sh: line 5: 26995 Segmentation fault     

PYTHONPATH=../pyext:../pyext/build/gammalib:../inst/mwl/test:../inst/cta/test:../inst/lat/test:/afs/ifh.de/group/hess/scratch/software/sta

ble/heasoft/heasoft-6.11/x86_64-unknown-linux-gnu-libc2.12/lib/python:/afs/ifh.de/group/hess/scratch/software/stable/heasoft/heasoft

-6.11/x86_64-unknown-linux-gnu-

.

.

.

${dir}$tst

FAIL: test_MWL

It seems like only the testing gives the segmentation fault.

History

#1 - 11/06/2013 05:57 PM - Knödlseder Jürgen

Strange. There is nothing showing up in the Continuous Integration system.

Any clues about your system. Recent update to Mavericks for example (see #965)?

#2 - 11/06/2013 06:09 PM - Schulz Anneli

Hi Jürgen,

I work on a scientific linux 6 at the moment. Michael had the same problem when working on Mavericks. So it seems to be independent from the

system.

#3 - 11/19/2013 10:52 AM - Knödlseder Jürgen

Any news on this bug on your side? Still was not able to reproduce it here ...

#4 - 11/19/2013 10:56 AM - Schulz Anneli

working on the mac and having checked out the newest dive branch there is no error anymore. I think it was a problem with git not noticing that the

test file is outdated or something like that.

Michael had a similar thing, that "COM test" fails although the git is up to date.

#5 - 11/19/2013 11:01 AM - Knödlseder Jürgen

Strange. Maybe related to some synchronisation problem as I was committing some stuff recently.

I guess I can close this bug?

#6 - 11/19/2013 11:23 AM - Mayer Michael

Probably the was a git problem when pulling and merging some feature branches with devel. I agree, this is solved now.

#7 - 11/19/2013 11:45 AM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100
